Bug 1284407 - [ALL LANG] String 'Filter' and tooltips are unlocalized in Requests List page. [NEEDINFO]
[ALL LANG] String 'Filter' and tooltips are unlocalized in Requests List page.
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Cristiano Nicolai
jsoltes
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 04:36 EST by Lijun Li
Modified: 2016-05-09 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cnicolai: needinfo? (agarcia)


Attachments (Terms of Use)
String 'Filter' and tooltips are unlocalized in Requests List page (33.06 KB, image/png)
2015-11-23 04:37 EST, Lijun Li
no flags Details
Unlocalized strings in BPMS 6.3.0.ER2 (63.63 KB, image/png)
2016-04-05 07:30 EDT, jsoltes
no flags Details

  None (edit)
Description Lijun Li 2015-11-23 04:36:03 EST
Description of problem:
String 'Filter' and tooltips are unlocalized in Requests List page

Version-Release number of selected component (if applicable):
6.2.0.ER 5

How reproducible:
100%

Steps to Reproduce:
1. Login bpms with no en_US locale.
2. Click Deploy -> Jobs from top menu bar.
3. Check the filter tabs and button bar/tooltips in Request List page.

Actual results:
String 'Filter' and tooltips are unlocalized in Requests List page

Expected results:
They should be localized.

Additional info:
Please see the attached screen-shot.
Comment 1 Lijun Li 2015-11-23 04:37 EST
Created attachment 1097602 [details]
String 'Filter' and tooltips are unlocalized in Requests List page
Comment 3 Cristiano Nicolai 2016-02-14 23:48:36 EST
source code changes made and source documents pushed to Zanata.
Comment 4 Martin Zilak 2016-03-04 08:24:49 EST
Hello.

I've tried this in 6.3.0.DR2 and the only thing that seems to be translated is the "Restore default filters" tooltip, and even that only to Spanish and Portuguese (probably because of https://bugzilla.redhat.com/show_bug.cgi?id=1284821 ?).

I'm not sure whether the changes haven't been taken from Zanata yet or what is the problem.

Cristiano, could you tell me how can I look at the changes you made on Zanata, so I can continue on verifying this? Or if you know anything more about this, please share the information.

Thank you.
Comment 6 jsoltes 2016-04-05 07:30 EDT
Created attachment 1143779 [details]
Unlocalized strings in BPMS 6.3.0.ER2
Comment 7 jsoltes 2016-04-05 07:30:52 EDT
The issue is still present in BPMS 6.3.0.ER2 (see the attachement).
Comment 8 Cristiano Nicolai 2016-04-26 21:14:26 EDT
Hi Angela, I just checked this issue on 6.3.0.CR1 and in Japanese I can see that the translation for the filter names are like this:

FilterAll=Filter すべて
FilterRunning=Filter 実行中
FilterRetrying=Filter 再試行中
FilterError=Filter エラー
FilterCompleted=Filter 完了済み
FilterCancelled=Filter キャンセル済み

Could you please verify if this is the expected translation?
Comment 9 Cristiano Nicolai 2016-05-09 20:40:31 EDT
Fixed missing title i18n on master branch only: https://github.com/uberfire/uberfire-extensions/commit/0152f055f4f403c8db953f05a0fc462a8ad75a04

Note You need to log in before you can comment on or make changes to this bug.